For the complete documentation index, see llms.txt. This page is also available as Markdown.

del

Cancels algo order (GTC or with synthetic instrument).

Please note that it is not possible to specify orderId and clientOrderId simultaneously.

POST /algo/order/del

{
  "id": 123456
}

or

{
  "clientOrderId": 123456
}
Parameter
Type
Description

id

Efx::OrderId

The ID of the order to delete (either this or clientOrderId should be specified). See Data Types.

clientOrderId

Efx::OrderId

The client ID of the order to delete (either this or orderId should be specified). See Data Types.

// success for order by size
{
    "id": 123456,
    "remainingSize": 100000000,
    "success": true
}

// success for order by volume
{
    "id": 123456,
    "remainingVolume": 100000000,
    "success": true
}

// could not cancel order
{
    "id": 123456,
    "success": false
}
Attribute
Type
Description

id

Efx::OrderId

Order ID. See Data Types.

remainingSize

Efx::Size

For order by size only: remaining order size. See Data Types.

remainingVolume

Efx::Size

For order by volume only: remaining order volume. See Data Types.

success

boolean

Flag that displays if order was cancelled successfully

Attribute
Type
Description

error

Efx::ErrorCode

Operation result code. Possible values are in List of Error Codes

errorDescription

string array

List of strings describing observed errors

Last updated